#!/bin/bash
# install-base.sh
# 
# Runs as root.
#
# This script builds a base ONOS VM. This is basically just an Ubuntu VM with ONOS's dependencies installed.

sudo apt-get update

sudo apt-get install -y git openjdk-8-jdk maven unzip curl wget lxc virtualbox-guest-utils \
wireshark quagga erlang make gcc autoconf openssl libssl0.9.8 libssl-dev libncurses5 libncurses5-dev

sudo update-alternatives --set java /usr/lib/jvm/java-8-openjdk-amd64/jre/bin/java
sudo update-alternatives --set javac /usr/lib/jvm/java-8-openjdk-amd64/bin/javac

# -------------- Setup keys -------------------

mkdir -p ~/.ssh
ssh-keygen -t rsa -P "" -f .ssh/id_rsa  
#cp .ssh/id_rsa.pub .ssh/authorized_keys